POJOProperty
Date: 2017-02-10

com.fasterxml.jackson.module.mrbean

## Class POJOProperty

- java.lang.Object
- - com.fasterxml.jackson.module.mrbean.POJOProperty

-     public class POJOProperty
      extends java.lang.Object

  Bean that contains information about a single logical POJO property. Properties consist of a getter and/or setter, and are used to generate getter and setter methods and matching backing field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Class<?>` | `_context` Class in which setter/getter was declared, needed for resolving generic types.
    `protected java.lang.String` | `_fieldName`
    `protected java.lang.reflect.Method` | `_getter`
    `protected java.lang.String` | `_name`
    `protected java.lang.reflect.Method` | `_setter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `POJOProperty(java.lang.String name, java.lang.Class<?> ctxt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldName()`
    `java.lang.reflect.Method` | `getGetter()`
    `java.lang.String` | `getName()`
    `java.lang.reflect.Method` | `getSetter()`
    `boolean` | `hasConcreteGetter()`
    `boolean` | `hasConcreteSetter()`
    `com.fasterxml.jackson.module.mrbean.BeanBuilder.TypeDescription` | `selectType(com.fasterxml.jackson.databind.type.TypeFactory tf)`
    `void` | `setGetter(java.lang.reflect.Method m)`
    `void` | `setSetter(java.lang.reflect.Method m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final java.lang.String _name

    - #### _fieldName

          protected final java.lang.String _fieldName

    - #### _context

          protected final java.lang.Class<?> _context

      Class in which setter/getter was declared, needed for resolving generic types.

    - #### _getter

          protected java.lang.reflect.Method _getter

    - #### _setter

          protected java.lang.reflect.Method _setter

  - ### Constructor Detail

    - #### POJOProperty

          public POJOProperty(java.lang.String name,
                      java.lang.Class<?> ctxt)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setGetter

          public void setGetter(java.lang.reflect.Method m)

    - #### setSetter

          public void setSetter(java.lang.reflect.Method m)

    - #### getGetter

          public java.lang.reflect.Method getGetter()

    - #### getSetter

          public java.lang.reflect.Method getSetter()

    - #### getFieldName

          public java.lang.String getFieldName()

    - #### hasConcreteGetter

          public boolean hasConcreteGetter()

    - #### hasConcreteSetter

          public boolean hasConcreteSetter()

    - #### selectType

          public com.fasterxml.jackson.module.mrbean.BeanBuilder.TypeDescription selectType(com.fasterxml.jackson.databind.type.TypeFactory tf)